import numpy as np
def minimize():
  import casadi
  import sys

  opts = {'ipopt.print_level': 0, 'print_time': 0}
  x = casadi.MX.sym("x")
  print("x",x)
  #nlp = {'x': closure_1_state[1:], 'f': c_1, 'p': closure_1_state[0]}
# Create an NLP solver Creates a solver for the following parametric nonlinear program (NLP):
  #nlp = casadi.nlpsol('nlp','ipopt',{"x":x,"f":x**2},{"ipopt": {"linear_solver": "ma57", "print_level":1}, "print_time": False})
  nlp = casadi.nlpsol('nlp','ipopt',{"x":x,"f":1+x-3*x+2*x**2},opts)

  if nlp.stats()["return_status"]=="Invalid_Option":
    print("Invalid Option")
    sys.exit(0)

  solution = nlp(x0=[-3]) # , p=[state['q_1']['ry']])
  sol_vector = np.array(solution['x'])

  print( sol_vector)

minimize()
