from casadi import *  

x = SX.sym('x',1)
y = SX.sym('y',1)

g0 = x-y
g1= x+y-2

g = {'x':vertcat(x,y),'g':vertcat(g0,g1)}

#G = rootfinder('G','nlpsol',g,{'nlpsol':'ipopt'})

G = rootfinder('G','newton',g)
print(G)
sol=G(x0=np.array([[5,0]]).T)['x']
print((sol))

